#!/bin/bash

#SBATCH --job-name=kokkos
#SBATCH --output=out.txt
#SBATCH --error=out.txt

#SBATCH --partition=gpu
#SBATCH --gres=gpu:1
#SBATCH --account=ams301

#SBATCH --time=00:05:00
#SBATCH --ntasks=1

## load modules
module purge
module load gcc
module load cuda
module load python
module load cmake

## execution
./build_kokkos.py --level 70
