#include "calcul_pi.hxx"

double calcul_pi_cpu(long n)
{
    double s = 0.0;

    double dx = 1.0/(n-1);
    long i;
    double x, v;

    s = 0.0;
    for (i=0; i<n; i++)
    {
        x = i*dx;
        v = 1.0/(1.0 + x*x);
        s += v;
    }

    s *= 4.0/n;
    return s;
}